"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var EnableKeyRotation_1 = require("../model/operations/EnableKeyRotation");
var EnableKeyRotationCommand = /** @class */ (function () {
    function EnableKeyRotationCommand(input) {
        this.input = input;
        this.model = EnableKeyRotation_1.EnableKeyRotation;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    EnableKeyRotationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return EnableKeyRotationCommand;
}());
exports.EnableKeyRotationCommand = EnableKeyRotationCommand;
//# sourceMappingURL=EnableKeyRotationCommand.js.map