import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GenerateRandomInput } from "../types/GenerateRandomInput";
import { GenerateRandomOutput } from "../types/GenerateRandomOutput";
import { KMSResolvedConfiguration } from "../KMSConfiguration";
export * from "../types/GenerateRandomInput";
export * from "../types/GenerateRandomOutput";
export * from "../types/GenerateRandomExceptionsUnion";
export declare class GenerateRandomCommand implements __aws_sdk_types.Command<InputTypesUnion, GenerateRandomInput, OutputTypesUnion, GenerateRandomOutput, KMSResolvedConfiguration, Blob> {
    readonly input: GenerateRandomInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GenerateRandomInput, GenerateRandomOutput, Blob>;
    constructor(input: GenerateRandomInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: KMSResolvedConfiguration): __aws_sdk_types.Handler<GenerateRandomInput, GenerateRandomOutput>;
}
