import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListKeysInput } from "../types/ListKeysInput";
import { ListKeysOutput } from "../types/ListKeysOutput";
import { KMSResolvedConfiguration } from "../KMSConfiguration";
export * from "../types/ListKeysInput";
export * from "../types/ListKeysOutput";
export * from "../types/ListKeysExceptionsUnion";
export declare class ListKeysCommand implements __aws_sdk_types.Command<InputTypesUnion, ListKeysInput, OutputTypesUnion, ListKeysOutput, KMSResolvedConfiguration, Blob> {
    readonly input: ListKeysInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListKeysInput, ListKeysOutput, Blob>;
    constructor(input: ListKeysInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: KMSResolvedConfiguration): __aws_sdk_types.Handler<ListKeysInput, ListKeysOutput>;
}
