import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RevokeGrantInput } from "../types/RevokeGrantInput";
import { RevokeGrantOutput } from "../types/RevokeGrantOutput";
import { KMSResolvedConfiguration } from "../KMSConfiguration";
export * from "../types/RevokeGrantInput";
export * from "../types/RevokeGrantOutput";
export * from "../types/RevokeGrantExceptionsUnion";
export declare class RevokeGrantCommand implements __aws_sdk_types.Command<InputTypesUnion, RevokeGrantInput, OutputTypesUnion, RevokeGrantOutput, KMSResolvedConfiguration, Blob> {
    readonly input: RevokeGrantInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RevokeGrantInput, RevokeGrantOutput, Blob>;
    constructor(input: RevokeGrantInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: KMSResolvedConfiguration): __aws_sdk_types.Handler<RevokeGrantInput, RevokeGrantOutput>;
}
