import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateKeyDescriptionInput } from "../types/UpdateKeyDescriptionInput";
import { UpdateKeyDescriptionOutput } from "../types/UpdateKeyDescriptionOutput";
import { KMSResolvedConfiguration } from "../KMSConfiguration";
export * from "../types/UpdateKeyDescriptionInput";
export * from "../types/UpdateKeyDescriptionOutput";
export * from "../types/UpdateKeyDescriptionExceptionsUnion";
export declare class UpdateKeyDescriptionCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateKeyDescriptionInput, OutputTypesUnion, UpdateKeyDescriptionOutput, KMSResolvedConfiguration, Blob> {
    readonly input: UpdateKeyDescriptionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateKeyDescriptionInput, UpdateKeyDescriptionOutput, Blob>;
    constructor(input: UpdateKeyDescriptionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: KMSResolvedConfiguration): __aws_sdk_types.Handler<UpdateKeyDescriptionInput, UpdateKeyDescriptionOutput>;
}
