"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateKeyDescription_1 = require("../model/operations/UpdateKeyDescription");
var UpdateKeyDescriptionCommand = /** @class */ (function () {
    function UpdateKeyDescriptionCommand(input) {
        this.input = input;
        this.model = UpdateKeyDescription_1.UpdateKeyDescription;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateKeyDescriptionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateKeyDescriptionCommand;
}());
exports.UpdateKeyDescriptionCommand = UpdateKeyDescriptionCommand;
//# sourceMappingURL=UpdateKeyDescriptionCommand.js.map