"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UntagResourceInput_1 = require("../shapes/UntagResourceInput");
var UntagResourceOutput_1 = require("../shapes/UntagResourceOutput");
var KMSInternalException_1 = require("../shapes/KMSInternalException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var InvalidArnException_1 = require("../shapes/InvalidArnException");
var KMSInvalidStateException_1 = require("../shapes/KMSInvalidStateException");
var TagException_1 = require("../shapes/TagException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UntagResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UntagResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UntagResourceInput_1.UntagResourceInput
    },
    output: {
        shape: UntagResourceOutput_1.UntagResourceOutput
    },
    errors: [
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException
        },
        {
            shape: TagException_1.TagException
        }
    ]
};
//# sourceMappingURL=UntagResource.js.map