"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateCustomKeyStoreInput = {
    type: "structure",
    required: [
        "CustomKeyStoreName",
        "CloudHsmClusterId",
        "TrustAnchorCertificate",
        "KeyStorePassword"
    ],
    members: {
        CustomKeyStoreName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        CloudHsmClusterId: {
            shape: {
                type: "string",
                min: 19
            }
        },
        TrustAnchorCertificate: {
            shape: {
                type: "string",
                min: 1
            }
        },
        KeyStorePassword: {
            shape: {
                type: "string",
                sensitive: true,
                min: 1
            }
        }
    }
};
//# sourceMappingURL=CreateCustomKeyStoreInput.js.map