"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImportKeyMaterialInput = {
    type: "structure",
    required: ["KeyId", "ImportToken", "EncryptedKeyMaterial"],
    members: {
        KeyId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ImportToken: {
            shape: {
                type: "blob"
            }
        },
        EncryptedKeyMaterial: {
            shape: {
                type: "blob"
            }
        },
        ValidTo: {
            shape: {
                type: "timestamp"
            }
        },
        ExpirationModel: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=ImportKeyMaterialInput.js.map