"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _EncryptionContextType_1 = require("./_EncryptionContextType");
var _GrantTokenList_1 = require("./_GrantTokenList");
exports.ReEncryptInput = {
    type: "structure",
    required: ["CiphertextBlob", "DestinationKeyId"],
    members: {
        CiphertextBlob: {
            shape: {
                type: "blob"
            }
        },
        SourceEncryptionContext: {
            shape: _EncryptionContextType_1._EncryptionContextType
        },
        DestinationKeyId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        DestinationEncryptionContext: {
            shape: _EncryptionContextType_1._EncryptionContextType
        },
        GrantTokens: {
            shape: _GrantTokenList_1._GrantTokenList
        }
    }
};
//# sourceMappingURL=ReEncryptInput.js.map