import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateGrantInput } from "../types/CreateGrantInput";
import { CreateGrantOutput } from "../types/CreateGrantOutput";
import { KMSResolvedConfiguration } from "../KMSConfiguration";
export * from "../types/CreateGrantInput";
export * from "../types/CreateGrantOutput";
export * from "../types/CreateGrantExceptionsUnion";
export declare class CreateGrantCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateGrantInput, OutputTypesUnion, CreateGrantOutput, KMSResolvedConfiguration, Blob> {
    readonly input: CreateGrantInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateGrantInput, CreateGrantOutput, Blob>;
    constructor(input: CreateGrantInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: KMSResolvedConfiguration): __aws_sdk_types.Handler<CreateGrantInput, CreateGrantOutput>;
}
