import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { EnableKeyInput } from "../types/EnableKeyInput";
import { EnableKeyOutput } from "../types/EnableKeyOutput";
import { KMSResolvedConfiguration } from "../KMSConfiguration";
export * from "../types/EnableKeyInput";
export * from "../types/EnableKeyOutput";
export * from "../types/EnableKeyExceptionsUnion";
export declare class EnableKeyCommand implements __aws_sdk_types.Command<InputTypesUnion, EnableKeyInput, OutputTypesUnion, EnableKeyOutput, KMSResolvedConfiguration, Blob> {
    readonly input: EnableKeyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<EnableKeyInput, EnableKeyOutput, Blob>;
    constructor(input: EnableKeyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: KMSResolvedConfiguration): __aws_sdk_types.Handler<EnableKeyInput, EnableKeyOutput>;
}
