import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GenerateDataKeyWithoutPlaintextInput } from "../types/GenerateDataKeyWithoutPlaintextInput";
import { GenerateDataKeyWithoutPlaintextOutput } from "../types/GenerateDataKeyWithoutPlaintextOutput";
import { KMSResolvedConfiguration } from "../KMSConfiguration";
export * from "../types/GenerateDataKeyWithoutPlaintextInput";
export * from "../types/GenerateDataKeyWithoutPlaintextOutput";
export * from "../types/GenerateDataKeyWithoutPlaintextExceptionsUnion";
export declare class GenerateDataKeyWithoutPlaintextCommand implements __aws_sdk_types.Command<InputTypesUnion, GenerateDataKeyWithoutPlaintextInput, OutputTypesUnion, GenerateDataKeyWithoutPlaintextOutput, KMSResolvedConfiguration, Blob> {
    readonly input: GenerateDataKeyWithoutPlaintextInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GenerateDataKeyWithoutPlaintextInput, GenerateDataKeyWithoutPlaintextOutput, Blob>;
    constructor(input: GenerateDataKeyWithoutPlaintextInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: KMSResolvedConfiguration): __aws_sdk_types.Handler<GenerateDataKeyWithoutPlaintextInput, GenerateDataKeyWithoutPlaintextOutput>;
}
