"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetParametersForImport_1 = require("../model/operations/GetParametersForImport");
var GetParametersForImportCommand = /** @class */ (function () {
    function GetParametersForImportCommand(input) {
        this.input = input;
        this.model = GetParametersForImport_1.GetParametersForImport;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetParametersForImportCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetParametersForImportCommand;
}());
exports.GetParametersForImportCommand = GetParametersForImportCommand;
//# sourceMappingURL=GetParametersForImportCommand.js.map