"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ReEncrypt_1 = require("../model/operations/ReEncrypt");
var ReEncryptCommand = /** @class */ (function () {
    function ReEncryptCommand(input) {
        this.input = input;
        this.model = ReEncrypt_1.ReEncrypt;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ReEncryptCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ReEncryptCommand;
}());
exports.ReEncryptCommand = ReEncryptCommand;
//# sourceMappingURL=ReEncryptCommand.js.map