import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RetireGrantInput } from "../types/RetireGrantInput";
import { RetireGrantOutput } from "../types/RetireGrantOutput";
import { KMSResolvedConfiguration } from "../KMSConfiguration";
export * from "../types/RetireGrantInput";
export * from "../types/RetireGrantOutput";
export * from "../types/RetireGrantExceptionsUnion";
export declare class RetireGrantCommand implements __aws_sdk_types.Command<InputTypesUnion, RetireGrantInput, OutputTypesUnion, RetireGrantOutput, KMSResolvedConfiguration, Blob> {
    readonly input: RetireGrantInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RetireGrantInput, RetireGrantOutput, Blob>;
    constructor(input: RetireGrantInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: KMSResolvedConfiguration): __aws_sdk_types.Handler<RetireGrantInput, RetireGrantOutput>;
}
