import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateCustomKeyStoreInput } from "../types/UpdateCustomKeyStoreInput";
import { UpdateCustomKeyStoreOutput } from "../types/UpdateCustomKeyStoreOutput";
import { KMSResolvedConfiguration } from "../KMSConfiguration";
export * from "../types/UpdateCustomKeyStoreInput";
export * from "../types/UpdateCustomKeyStoreOutput";
export * from "../types/UpdateCustomKeyStoreExceptionsUnion";
export declare class UpdateCustomKeyStoreCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateCustomKeyStoreInput, OutputTypesUnion, UpdateCustomKeyStoreOutput, KMSResolvedConfiguration, Blob> {
    readonly input: UpdateCustomKeyStoreInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateCustomKeyStoreInput, UpdateCustomKeyStoreOutput, Blob>;
    constructor(input: UpdateCustomKeyStoreInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: KMSResolvedConfiguration): __aws_sdk_types.Handler<UpdateCustomKeyStoreInput, UpdateCustomKeyStoreOutput>;
}
