"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteAliasInput_1 = require("../shapes/DeleteAliasInput");
var DeleteAliasOutput_1 = require("../shapes/DeleteAliasOutput");
var DependencyTimeoutException_1 = require("../shapes/DependencyTimeoutException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var KMSInternalException_1 = require("../shapes/KMSInternalException");
var KMSInvalidStateException_1 = require("../shapes/KMSInvalidStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteAlias = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteAlias",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteAliasInput_1.DeleteAliasInput
    },
    output: {
        shape: DeleteAliasOutput_1.DeleteAliasOutput
    },
    errors: [
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException
        }
    ]
};
//# sourceMappingURL=DeleteAlias.js.map