"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeCustomKeyStoresInput_1 = require("../shapes/DescribeCustomKeyStoresInput");
var DescribeCustomKeyStoresOutput_1 = require("../shapes/DescribeCustomKeyStoresOutput");
var CustomKeyStoreNotFoundException_1 = require("../shapes/CustomKeyStoreNotFoundException");
var KMSInternalException_1 = require("../shapes/KMSInternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeCustomKeyStores = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeCustomKeyStores",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeCustomKeyStoresInput_1.DescribeCustomKeyStoresInput
    },
    output: {
        shape: DescribeCustomKeyStoresOutput_1.DescribeCustomKeyStoresOutput
    },
    errors: [
        {
            shape: CustomKeyStoreNotFoundException_1.CustomKeyStoreNotFoundException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        }
    ]
};
//# sourceMappingURL=DescribeCustomKeyStores.js.map