"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DisableKeyInput_1 = require("../shapes/DisableKeyInput");
var DisableKeyOutput_1 = require("../shapes/DisableKeyOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var InvalidArnException_1 = require("../shapes/InvalidArnException");
var DependencyTimeoutException_1 = require("../shapes/DependencyTimeoutException");
var KMSInternalException_1 = require("../shapes/KMSInternalException");
var KMSInvalidStateException_1 = require("../shapes/KMSInvalidStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DisableKey = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DisableKey",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DisableKeyInput_1.DisableKeyInput
    },
    output: {
        shape: DisableKeyOutput_1.DisableKeyOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        },
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException
        }
    ]
};
//# sourceMappingURL=DisableKey.js.map