"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DisconnectCustomKeyStoreInput_1 = require("../shapes/DisconnectCustomKeyStoreInput");
var DisconnectCustomKeyStoreOutput_1 = require("../shapes/DisconnectCustomKeyStoreOutput");
var CustomKeyStoreInvalidStateException_1 = require("../shapes/CustomKeyStoreInvalidStateException");
var CustomKeyStoreNotFoundException_1 = require("../shapes/CustomKeyStoreNotFoundException");
var KMSInternalException_1 = require("../shapes/KMSInternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DisconnectCustomKeyStore = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DisconnectCustomKeyStore",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DisconnectCustomKeyStoreInput_1.DisconnectCustomKeyStoreInput
    },
    output: {
        shape: DisconnectCustomKeyStoreOutput_1.DisconnectCustomKeyStoreOutput
    },
    errors: [
        {
            shape: CustomKeyStoreInvalidStateException_1.CustomKeyStoreInvalidStateException
        },
        {
            shape: CustomKeyStoreNotFoundException_1.CustomKeyStoreNotFoundException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        }
    ]
};
//# sourceMappingURL=DisconnectCustomKeyStore.js.map