"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GenerateRandomInput_1 = require("../shapes/GenerateRandomInput");
var GenerateRandomOutput_1 = require("../shapes/GenerateRandomOutput");
var DependencyTimeoutException_1 = require("../shapes/DependencyTimeoutException");
var KMSInternalException_1 = require("../shapes/KMSInternalException");
var CustomKeyStoreNotFoundException_1 = require("../shapes/CustomKeyStoreNotFoundException");
var CustomKeyStoreInvalidStateException_1 = require("../shapes/CustomKeyStoreInvalidStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GenerateRandom = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GenerateRandom",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GenerateRandomInput_1.GenerateRandomInput
    },
    output: {
        shape: GenerateRandomOutput_1.GenerateRandomOutput
    },
    errors: [
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: CustomKeyStoreNotFoundException_1.CustomKeyStoreNotFoundException
        },
        {
            shape: CustomKeyStoreInvalidStateException_1.CustomKeyStoreInvalidStateException
        }
    ]
};
//# sourceMappingURL=GenerateRandom.js.map