"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListAliasesInput_1 = require("../shapes/ListAliasesInput");
var ListAliasesOutput_1 = require("../shapes/ListAliasesOutput");
var DependencyTimeoutException_1 = require("../shapes/DependencyTimeoutException");
var InvalidMarkerException_1 = require("../shapes/InvalidMarkerException");
var KMSInternalException_1 = require("../shapes/KMSInternalException");
var InvalidArnException_1 = require("../shapes/InvalidArnException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListAliases = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListAliases",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListAliasesInput_1.ListAliasesInput
    },
    output: {
        shape: ListAliasesOutput_1.ListAliasesOutput
    },
    errors: [
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException
        },
        {
            shape: InvalidMarkerException_1.InvalidMarkerException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        },
        {
            shape: NotFoundException_1.NotFoundException
        }
    ]
};
//# sourceMappingURL=ListAliases.js.map