"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListKeysInput_1 = require("../shapes/ListKeysInput");
var ListKeysOutput_1 = require("../shapes/ListKeysOutput");
var DependencyTimeoutException_1 = require("../shapes/DependencyTimeoutException");
var KMSInternalException_1 = require("../shapes/KMSInternalException");
var InvalidMarkerException_1 = require("../shapes/InvalidMarkerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListKeys = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListKeys",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListKeysInput_1.ListKeysInput
    },
    output: {
        shape: ListKeysOutput_1.ListKeysOutput
    },
    errors: [
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: InvalidMarkerException_1.InvalidMarkerException
        }
    ]
};
//# sourceMappingURL=ListKeys.js.map