"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateAliasInput_1 = require("../shapes/UpdateAliasInput");
var UpdateAliasOutput_1 = require("../shapes/UpdateAliasOutput");
var DependencyTimeoutException_1 = require("../shapes/DependencyTimeoutException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var KMSInternalException_1 = require("../shapes/KMSInternalException");
var KMSInvalidStateException_1 = require("../shapes/KMSInvalidStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateAlias = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateAlias",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateAliasInput_1.UpdateAliasInput
    },
    output: {
        shape: UpdateAliasOutput_1.UpdateAliasOutput
    },
    errors: [
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException
        }
    ]
};
//# sourceMappingURL=UpdateAlias.js.map