"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _TagList_1 = require("./_TagList");
exports.CreateKeyInput = {
    type: "structure",
    required: [],
    members: {
        Policy: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Description: {
            shape: {
                type: "string"
            }
        },
        KeyUsage: {
            shape: {
                type: "string"
            }
        },
        Origin: {
            shape: {
                type: "string"
            }
        },
        CustomKeyStoreId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        BypassPolicyLockoutSafetyCheck: {
            shape: {
                type: "boolean"
            }
        },
        Tags: {
            shape: _TagList_1._TagList
        }
    }
};
//# sourceMappingURL=CreateKeyInput.js.map