"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _GrantOperationList_1 = require("./_GrantOperationList");
var _GrantConstraints_1 = require("./_GrantConstraints");
exports._GrantListEntry = {
    type: "structure",
    required: [],
    members: {
        KeyId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        GrantId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        CreationDate: {
            shape: {
                type: "timestamp"
            }
        },
        GranteePrincipal: {
            shape: {
                type: "string",
                min: 1
            }
        },
        RetiringPrincipal: {
            shape: {
                type: "string",
                min: 1
            }
        },
        IssuingAccount: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Operations: {
            shape: _GrantOperationList_1._GrantOperationList
        },
        Constraints: {
            shape: _GrantConstraints_1._GrantConstraints
        }
    }
};
//# sourceMappingURL=_GrantListEntry.js.map