import { CancelKeyDeletionOutput } from "./CancelKeyDeletionOutput";
import { ConnectCustomKeyStoreOutput } from "./ConnectCustomKeyStoreOutput";
import { CreateAliasOutput } from "./CreateAliasOutput";
import { CreateCustomKeyStoreOutput } from "./CreateCustomKeyStoreOutput";
import { CreateGrantOutput } from "./CreateGrantOutput";
import { CreateKeyOutput } from "./CreateKeyOutput";
import { DecryptOutput } from "./DecryptOutput";
import { DeleteAliasOutput } from "./DeleteAliasOutput";
import { DeleteCustomKeyStoreOutput } from "./DeleteCustomKeyStoreOutput";
import { DeleteImportedKeyMaterialOutput } from "./DeleteImportedKeyMaterialOutput";
import { DescribeCustomKeyStoresOutput } from "./DescribeCustomKeyStoresOutput";
import { DescribeKeyOutput } from "./DescribeKeyOutput";
import { DisableKeyOutput } from "./DisableKeyOutput";
import { DisableKeyRotationOutput } from "./DisableKeyRotationOutput";
import { DisconnectCustomKeyStoreOutput } from "./DisconnectCustomKeyStoreOutput";
import { EnableKeyOutput } from "./EnableKeyOutput";
import { EnableKeyRotationOutput } from "./EnableKeyRotationOutput";
import { EncryptOutput } from "./EncryptOutput";
import { GenerateDataKeyOutput } from "./GenerateDataKeyOutput";
import { GenerateDataKeyWithoutPlaintextOutput } from "./GenerateDataKeyWithoutPlaintextOutput";
import { GenerateRandomOutput } from "./GenerateRandomOutput";
import { GetKeyPolicyOutput } from "./GetKeyPolicyOutput";
import { GetKeyRotationStatusOutput } from "./GetKeyRotationStatusOutput";
import { GetParametersForImportOutput } from "./GetParametersForImportOutput";
import { ImportKeyMaterialOutput } from "./ImportKeyMaterialOutput";
import { ListAliasesOutput } from "./ListAliasesOutput";
import { ListGrantsOutput } from "./ListGrantsOutput";
import { ListKeyPoliciesOutput } from "./ListKeyPoliciesOutput";
import { ListKeysOutput } from "./ListKeysOutput";
import { ListResourceTagsOutput } from "./ListResourceTagsOutput";
import { ListRetirableGrantsOutput } from "./ListRetirableGrantsOutput";
import { PutKeyPolicyOutput } from "./PutKeyPolicyOutput";
import { ReEncryptOutput } from "./ReEncryptOutput";
import { RetireGrantOutput } from "./RetireGrantOutput";
import { RevokeGrantOutput } from "./RevokeGrantOutput";
import { ScheduleKeyDeletionOutput } from "./ScheduleKeyDeletionOutput";
import { TagResourceOutput } from "./TagResourceOutput";
import { UntagResourceOutput } from "./UntagResourceOutput";
import { UpdateAliasOutput } from "./UpdateAliasOutput";
import { UpdateCustomKeyStoreOutput } from "./UpdateCustomKeyStoreOutput";
import { UpdateKeyDescriptionOutput } from "./UpdateKeyDescriptionOutput";
export declare type OutputTypesUnion = CancelKeyDeletionOutput | ConnectCustomKeyStoreOutput | CreateAliasOutput | CreateCustomKeyStoreOutput | CreateGrantOutput | CreateKeyOutput | DecryptOutput | DeleteAliasOutput | DeleteCustomKeyStoreOutput | DeleteImportedKeyMaterialOutput | DescribeCustomKeyStoresOutput | DescribeKeyOutput | DisableKeyOutput | DisableKeyRotationOutput | DisconnectCustomKeyStoreOutput | EnableKeyOutput | EnableKeyRotationOutput | EncryptOutput | GenerateDataKeyOutput | GenerateDataKeyWithoutPlaintextOutput | GenerateRandomOutput | GetKeyPolicyOutput | GetKeyRotationStatusOutput | GetParametersForImportOutput | ImportKeyMaterialOutput | ListAliasesOutput | ListGrantsOutput | ListKeyPoliciesOutput | ListKeysOutput | ListResourceTagsOutput | ListRetirableGrantsOutput | PutKeyPolicyOutput | ReEncryptOutput | RetireGrantOutput | RevokeGrantOutput | ScheduleKeyDeletionOutput | TagResourceOutput | UntagResourceOutput | UpdateAliasOutput | UpdateCustomKeyStoreOutput | UpdateKeyDescriptionOutput;
