/**
 * <p>Contains information about an alias.</p>
 */
export interface _AliasListEntry {
    /**
     * <p>String that contains the alias. This value begins with <code>alias/</code>.</p>
     */
    AliasName?: string;
    /**
     * <p>String that contains the key ARN.</p>
     */
    AliasArn?: string;
    /**
     * <p>String that contains the key identifier referred to by the alias.</p>
     */
    TargetKeyId?: string;
}
export declare type _UnmarshalledAliasListEntry = _AliasListEntry;
